# ReVanced Releases CDN

Because delivering content to the world is hard.

## Why?

Distributing content is hard. It's hard to get it to the right people, and it's hard to make sure it's always available. GitHub is a great place to host code, but it's not a great place to host content. This is where the ReVanced Releases CDN comes in.

## How?

By leveraging new technologies like the [InterPlanetary File System](https://ipfs.io), [Filecoin](https://filecoin.io) and the InterPlanetary Naming System (IPNS), we can make sure that content is always available, and that it's always available to the right people. And most importantly, we can do it in a way that is cheap, decentralized and resilient to censorship.

The main star in this project is [web3.storage](https://web3.storage/). By using their API we can get forget about the complexities of dealing with IPFS and Filecoin and focus on building on top of those technologies. Web3.storage also provides a variety of other important tools: free pinning, a very fast and reliable gateway ([w3s.link](https://w3s.link)), and an incredibly powerful IPNS API for mutable data.

## Architecture

ToDo :D

## How to use

ToDo :D
